﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.ComponentModel;
using System.Collections;
using System.Collections.Generic;

namespace TreeViewSample
{
    public class CheckedItemsViewModel : INotifyPropertyChanged
    {

        private ICollection<object> checkedItemsView;
        public ICollection<object> CheckedItemsView
        {
            get
            {
                return checkedItemsView;
            }
            set
            {
                checkedItemsView = value;
                this.OnPropertyChanged("CheckedItemsView");
            }
        }


        public event PropertyChangedEventHandler PropertyChanged;
        private void OnPropertyChanged(string propertyName)
        {
            if (this.PropertyChanged != null)
            {
                this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }
    }
}
