﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Data;
using System.Collections.Generic;
using System.Text;
using Telerik.Windows.Controls;

namespace TreeViewSample
{
    public class MyConverter : IValueConverter
    {
        #region IValueConverter Members

        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
          ICollection<object> items = value as ICollection<object>;
          if (items != null)
          {
              StringBuilder result = new StringBuilder();
              foreach (var item in items)
              {
                  result.Append((item as RadTreeViewItem).Header.ToString());
              }
              return result;
          }
          return "";
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }

        #endregion

    }

}
